Page MenuHomePhabricator

Ingenico Connect: Support 3d Secure transactions
Closed, ResolvedPublic2 Estimated Story Points

Description

In the GlobalCollect adapter, there's a DO_FINISHPAYMENT call that has to do with these transactions. Implement the matching stuff for Ingenico Connect

Event Timeline

Ejegg created this task.Sep 22 2017, 7:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2017, 7:20 PM

We're gonna ask Ingenico to enable the payment method 'Maestro' on our sandbox account to allow us to test out 3d secure.

3D secure, On payment product id 117 (maestro) 3d secure is enabled as all Maestro transaction are mandated to be processed with 3D secure.

Taken from: https://epayments.developer-ingenico.com/documentation/testcases

jgleeson changed the task status from Open to Stalled.Feb 27 2018, 4:55 PM
Ejegg added a comment.Feb 28 2018, 3:51 PM

Just sent email asking for them to enable Maestro on sandbox

Change 441483 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] skipAuthentication flag disables 3DSecure for Connect

https://gerrit.wikimedia.org/r/441483

Change 441483 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] skipAuthentication flag disables 3DSecure for Connect

https://gerrit.wikimedia.org/r/441483

Ejegg changed the task status from Stalled to Open.Jul 10 2018, 12:04 AM
Ejegg triaged this task as Medium priority.
Ejegg set the point value for this task to 2.

turned out not to need a do_finishpayment, but did need some work to turn it off, as it's ON by default

Ejegg closed this task as Resolved.Jul 11 2018, 9:08 PM